/* Utilisation du capteur Ultrason HC-SR04 */

// définition des broches utilisées
int trig = 8;
int echo = 7;
long lecture_echo;
long cm;

void setup()
{
  pinMode(trig, OUTPUT);
  digitalWrite(trig, LOW);
  pinMode(echo, INPUT);
  Serial.begin(9600);
}

//declaration d'une fonction
float mesure_distance(){
  digitalWrite(trig, HIGH);
  delayMicroseconds(10);
  digitalWrite(trig, LOW);
  lecture_echo = pulseIn(echo, HIGH);
  cm = lecture_echo / 58;
  Serial.print("Distance : ");
  Serial.print(cm);
  Serial.println(" cm.");
  delay(100);
}

void loop()
{
mesure_distance();
}
